# Workspace

## List all instances

> Returns all workspace instances accessible by the authenticated user.

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"apps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"XAcceptVersion":{"name":"X-Accept-Version","in":"header","required":true,"description":"API version to target","schema":{"type":"string","default":"v1.3","enum":["v1.3"]}}},"schemas":{"App":{"type":"object","properties":{"name":{"type":"string"},"short":{"type":"string","description":"Use this as the `{app_short}` prefix in subsequent API calls"},"description":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"android_map":{"type":"boolean"},"is_model":{"type":"boolean"}}}}},"paths":{"/apps":{"get":{"summary":"List all instances","description":"Returns all workspace instances accessible by the authenticated user.","tags":["apps"],"operationId":"listApps","parameters":[{"$ref":"#/components/parameters/XAcceptVersion"}],"responses":{"200":{"description":"Array of instances","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/App"}}}}}}}}}}
```

## GET /{app\_short}

> Get a specific instance

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"apps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}},"XAcceptVersion":{"name":"X-Accept-Version","in":"header","required":true,"description":"API version to target","schema":{"type":"string","default":"v1.3","enum":["v1.3"]}}},"schemas":{"App":{"type":"object","properties":{"name":{"type":"string"},"short":{"type":"string","description":"Use this as the `{app_short}` prefix in subsequent API calls"},"description":{"type":"string"},"settings":{"type":"object","additionalProperties":true},"android_map":{"type":"boolean"},"is_model":{"type":"boolean"}}}}},"paths":{"/{app_short}":{"get":{"summary":"Get a specific instance","tags":["apps"],"operationId":"getApp","parameters":[{"$ref":"#/components/parameters/AppShort"},{"$ref":"#/components/parameters/XAcceptVersion"}],"responses":{"200":{"description":"Instance details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/workspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
